## netexpect 0.21

=== doc/docbook/Makefile ===
#################################################################
# Makefile.in for Network Expect documentation
# Author:	Eloy Paris <peloy@netexpect.org>
#
MANPAGES_NAMES=nexp.1 tgn.1 nexp-numspec.5 nexp-ether.5 nexp-ip.5 nexp-udp.5 nexp-gre.5 nexp-mpls.5

XSLTPROC = /usr/bin/xsltproc --stringparam papersize a4paper --stringparam fontsize 10.5 --stringparam docrop 0
MANDIR = ..
MANPROJDOC = manpages
HTMLDIR = ..

MANPAGES=$(patsubst %,$(MANDIR)/%,$(MANPAGES_NAMES))
MANPAGES_HTML=$(patsubst %,$(HTMLDIR)/%.html,$(MANPAGES_NAMES))

all: 
	@echo "Supported make targets:"
	@echo "manpages - Build manpages"
	@echo "htmlman - Build html version of manpages"
	@echo "everything - Build all of the above"

everything: manpages htmlman

# Global rules

htmlman: $(MANPAGES_HTML) CSS
manpages: $(MANPAGES)

clean: 
	@rm -f $(MANPAGES)

CSS: xslt/html/nexp.css
	cp xslt/html/nexp.css $(HTMLDIR)/

$(HTMLDIR)/%.html: $(MANPROJDOC)/%.xml
	$(XSLTPROC) --output $@ xslt/html.xsl $<

$(MANDIR)/%: $(MANPROJDOC)/%.xml
	$(XSLTPROC) --output $@ /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl $<

## netexpect 0.18

=== debian/changelog ===
netexpect (0.18-4) unstable; urgency=low

  * Build-depend on the right versions of the Wireshark development
    libraries (libwireshark-dev, libwiretap-dev, and libwsutil-dev)
    as part of the Wireshark 1.4 to 1.6 transition. Thanks
    to Nobuhiro Iwamatsu <iwamatsu@nigauri.org> for reporting
    the problem and providing a patch (closes: #630544).

 -- Eloy Paris <peloy@debian.org>  Wed, 15 Jun 2011 14:48:45 -0400

netexpect (0.18-3) unstable; urgency=low

  * Rebuild against libraries from new Wireshark 1.6.0 packages.

 -- Eloy Paris <peloy@debian.org>  Thu, 09 Jun 2011 17:46:27 -0400

netexpect (0.18-2) unstable; urgency=low

  * Explicitely link with libwsutil and add libwsutil-dev to
    Build-Depends (closes: 620714).

 -- Eloy Paris <peloy@debian.org>  Thu, 07 Apr 2011 14:41:33 -0400

netexpect (0.18-1) unstable; urgency=low

  * Initial release (Closes: 587056)

 -- Eloy Paris <peloy@debian.org>  Thu, 10 Feb 2011 14:13:03 -0500

=== debian/control ===
Source: netexpect
Section: net
Priority: optional
Maintainer: Eloy Paris <peloy@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, tcl-dev, libdumbnet-dev, libpcap0.8-dev, libwireshark-dev (>= 1.6.0), libwiretap-dev (>= 1.6.0), libwsutil-dev (>= 1.6.0), libglib2.0-dev
Standards-Version: 3.8.3
Homepage: http://www.netexpect.org

Package: netexpect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network Expect, a framework for manipulating network packets
 Network Expect is a framework that allows to easily build tools
 that can interact with network traffic. Following a script, traffic
 can be injected into the network, and decisions can be taken, and
 acted upon, based on received network traffic. An interpreted language
 (Tcl) provides branching and high-level control structures to direct the
 interaction with the network.
 .
 Network Expect was heavily influenced and inspired on the Expect program
 written by Don Libes, which allows to "talk" to interactive programs in
 a scripted fashion.
 .
 The type of things that Network Expect can do are usually very low level
 network operations, which usually require writing a custom application
 in a language like C.
 .
 Some of the things that Network Expect can do include:
 .
   * Generate arbitrary network traffic and inject it into a network at layer
     2 or layer 3.
 .
   * A wide range of protocols is supported, including 802.1q, ARP,
     Cisco VTP and DTP, GRE, IPv4, IPv6, ICMP, UDP, TCP (including
     options), etc.
 .
     This Network Expect functionality is very similar to the
     functionality provided by several packet crafting and forging open
     source tools like Nemesis, Packit, hping, Scapy, and others.
 .
   * Listen for network traffic and take decisions based on the type of
     traffic received.
 .
   * Open a sniffer trace in PCAP format and replay it after changing some
     values in the original packet capture.
 .
   * Emulate network protocols to see how they interact with other
     speakers of that protocol. For example, emulating a TCP server to
     investigate approaches to randomization of TCP Initial Sequence Numbers
     (ISN) can be easily done in Network Expect.
 .
 Visit http://www.netexpect.org for more information.

Package: tgn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A command-line based network traffic generator
 TGN (Traffic GeNerator) is a command-line based network traffic
 generator that allows to easily craft and inject network traffic.
 It has the same packet crafting and injection capabilities provided
 by the Network Expect framework but does not have the bigger
 dependencies that Network Expect has. The Protocol Data Unit (PDU)
 to send is defined in a simple way, without the use of complicated
 command-line switches that are hard to remember.
 .
 A TGN invokation may look like:
 .
 shell# tgn "ip(proto = 0..255, src = 'random', dst = 192.168.1.1)/icmp-echo()"
 .
 Visit http://www.netexpect.org for more information.

## netexpect 0.20

=== debian/changelog ===
netexpect (0.20-3) unstable; urgency=low

  * Update build dependencies for new Wireshark 1.8.0 libraries.

 -- Eloy Paris <peloy@debian.org>  Wed, 27 Jun 2012 20:16:12 -0400

netexpect (0.20-2) unstable; urgency=low

  * Really build against libraries from new Wireshark 1.8.0 packages
    (previous upload was actually built against Wireshark 1.8.0rc1
    libraries).
  * Upload to unstable.

 -- Eloy Paris <peloy@debian.org>  Wed, 27 Jun 2012 17:59:09 -0400

netexpect (0.20-1) experimental; urgency=low

  * New upstream version.
  * Build against libraries from new Wireshark 1.8.0 packages.

 -- Eloy Paris <peloy@debian.org>  Wed, 13 Jun 2012 18:07:22 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Eloy Paris <peloy@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, tcl-dev, libdumbnet-dev, libpcap0.8-dev, libwireshark-dev (>= 1.6.0), libwiretap-dev (>= 1.6.0), libwsutil-dev (>= 1.6.0), libglib2.0-dev
+Build-Depends: debhelper (>= 7), autotools-dev, tcl-dev, libdumbnet-dev, libpcap0.8-dev, libwireshark-dev (>= 1.8.0), libwiretap-dev (>= 1.8.0), libwsutil-dev (>= 1.8.0), libglib2.0-dev
 Standards-Version: 3.8.3
 Homepage: http://www.netexpect.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS=

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" dh_auto_configure -- --with-included-md5 --with-pcap=/usr/include --with-tcl=/usr/lib/tcl8.5 --with-tcl-includes=/usr/include/tcl8.5

%:
	dh $@

## netexpect 0.21

=== debian/changelog ===
netexpect (0.21-2) unstable; urgency=low

  * Invoke configure with the correct arguments for --with-tcl and
    --with-tcl-includes (making no assumption that the tcl-dev
    package is version 8.5) (Closes: #725072).

 -- Eloy Paris <peloy@debian.org>  Mon, 14 Oct 2013 22:15:00 -0400

netexpect (0.21-1) unstable; urgency=low

  * New upstream release (closes: #714535).
  * Update build dependencies for new Wireshark 1.10.0 libraries.

 -- Eloy Paris <peloy@debian.org>  Wed, 17 Jul 2013 18:11:55 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Eloy Paris <peloy@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, tcl-dev, libdumbnet-dev, libpcap0.8-dev, libwireshark-dev (>= 1.8.0), libwiretap-dev (>= 1.8.0), libwsutil-dev (>= 1.8.0), libglib2.0-dev
+Build-Depends: debhelper (>= 7), autotools-dev, tcl-dev, libdumbnet-dev, libpcap0.8-dev, libwireshark-dev (>= 1.10.0), libwiretap-dev (>= 1.10.0), libwsutil-dev (>= 1.10.0), libglib2.0-dev
 Standards-Version: 3.8.3
 Homepage: http://www.netexpect.org

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 CFLAGS=
 
 override_dh_auto_configure:
-	CFLAGS="$(CFLAGS)" dh_auto_configure -- --with-included-md5 --with-pcap=/usr/include --with-tcl=/usr/lib/tcl8.5 --with-tcl-includes=/usr/include/tcl8.5
+	CFLAGS="$(CFLAGS)" dh_auto_configure -- --with-included-md5 --with-pcap=/usr/include --with-tcl=/usr/lib --with-tcl-includes=/usr/include/tcl
 
 %:
 	dh $@

## netexpect 0.22

=== debian/changelog ===
netexpect (0.22-2ubuntu1) utopic; urgency=medium

  * Use autotools-dev to update config.{sub,guess} for new arches.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 07 Sep 2014 16:27:25 -0400

netexpect (0.22-2) unstable; urgency=medium

  * Build-depend on Wireshark development packages >= 1.12.0
    (closes: #751448).

 -- Eloy Paris <peloy@debian.org>  Sat, 02 Aug 2014 16:07:11 -0400

netexpect (0.22-1) experimental; urgency=medium

  * New upstream release.
    + Builds against libwireshark 1.12.
  * Run dh-autoreconf to update config.{sub,guess} and {libtool,aclocal}.m4
    (closes: #744478).

 -- Eloy Paris <peloy@debian.org>  Thu, 31 Jul 2014 18:52:37 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: netexpect
 Section: net
 Priority: optional
-Maintainer: Eloy Paris <peloy@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, tcl-dev, libdumbnet-dev, libpcap0.8-dev, libwireshark-dev (>= 1.10.0), libwiretap-dev (>= 1.10.0), libwsutil-dev (>= 1.10.0), libglib2.0-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eloy Paris <peloy@debian.org>
+Build-Depends: debhelper (>= 7), autotools-dev, tcl-dev, libdumbnet-dev, libpcap0.8-dev, libwireshark-dev (>= 1.12.0), libwiretap-dev (>= 1.12.0), libwsutil-dev (>= 1.12.0), libglib2.0-dev, dh-autoreconf
 Standards-Version: 3.8.3
 Homepage: http://www.netexpect.org

=== debian/rules ===
--- 
+++ 
@@ -22,4 +22,4 @@
 	CFLAGS="$(CFLAGS)" dh_auto_configure -- --with-included-md5 --with-pcap=/usr/include --with-tcl=/usr/lib --with-tcl-includes=/usr/include/tcl
 
 %:
-	dh $@
+	dh $@ --with autoreconf,autotools_dev
